Author Topic: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)  (Read 119428 times)

0 Members and 1 Guest are viewing this topic.

Offline PIe

  • 28
  • GTVA POLICE
    • freespace3.com
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
This may not be the problem but you have to have any dependencies installed.
You could try adding the MVPs as a dependency only to the recommended/optional package but I don't know if this would do what you want (ngld would know).
[6:23 PM] PIe: why do I have the feeling that I shouldn't be able to give orders to 22nd armored hq
[6:24 PM] Axem: 22nd armored hq, i order you to get me a cup of coffee
[6:24 PM] PIe: and donuts
[6:24 PM] PIe: BECAUSE THIS IS THE GTVA POLICE
[6:25 PM] Axem: :O
[6:25 PM] Axem: am i under arrest
[6:26 PM] [`_`]/: no, just please step out of the myrmidon
[6:26 PM] [`_`]/: you have so much to fred for

[9:50 PM] Sottises: wait did you do vassago's verge?
[9:50 PM] Sottises: .. dirge?
[9:50 PM] Axem: yes
[9:50 PM] Sottises: ohh
[9:50 PM] Sottises: well I have that and JAD too
[9:50 PM] Axem: :)
[9:50 PM] Sottises: what a contrast of themes lmao
[9:50 PM] Axem: isnt it
[9:51 PM] Axem: super grimdark thriller about unknowable alien intelligence and over the top colorful action about friendship
[9:51 PM] PIe: jad is grimdark???
[9:51 PM] Axem: :skull:

 

Offline CP5670

  • Dr. Evil
  • Global Moderator
  • 212
  • 142857
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Maybe I'll try update it to make it compatible with the current media VPs. It seems the only change needed is to update a few models with the media VP versions.

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
You can make an optional (or recommended) package which depends on the MediaVPs. Knossos would then only load them if that package was enabled / installed. There's no mechanism to only use certain dependencies, if they're already installed.
In case you haven't seen it, yet, here's a guide that should explain the whole mod creation process. Not sure how much help that's going to be since you seem to have already come quite far.

@jr2: Just wanted to acknowledge that I've seen your post. I haven't had time to test it yet, though. I'm not 100% sure whether it's going to work or not.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)

 

Offline ngld

  • Administrator
  • 29
  • Knossos dev
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
That's a dependency conflict. PI wants FSO 3.8.0-3 or later but the MediaVPs version PI depends on requires exactly 3.8.0-2.

@CP5670: Which MediaVPs version did you select and were you able to launch PI through Knossos after your changes?
@woutersmits: There have been a few changes to the MediaVPs' metadata. Can you please go to the troubleshooting tab and click "discard local changes to mod metadata"? That should make sure you have the latest metadata. If launching PI still fails afterwards, we need to fix PI's dependencies.


 

Offline PIe

  • 28
  • GTVA POLICE
    • freespace3.com
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
The 3.6.12 MVPs should require >=3.8.0.2.  PI works fine for me.
[6:23 PM] PIe: why do I have the feeling that I shouldn't be able to give orders to 22nd armored hq
[6:24 PM] Axem: 22nd armored hq, i order you to get me a cup of coffee
[6:24 PM] PIe: and donuts
[6:24 PM] PIe: BECAUSE THIS IS THE GTVA POLICE
[6:25 PM] Axem: :O
[6:25 PM] Axem: am i under arrest
[6:26 PM] [`_`]/: no, just please step out of the myrmidon
[6:26 PM] [`_`]/: you have so much to fred for

[9:50 PM] Sottises: wait did you do vassago's verge?
[9:50 PM] Sottises: .. dirge?
[9:50 PM] Axem: yes
[9:50 PM] Sottises: ohh
[9:50 PM] Sottises: well I have that and JAD too
[9:50 PM] Axem: :)
[9:50 PM] Sottises: what a contrast of themes lmao
[9:50 PM] Axem: isnt it
[9:51 PM] Axem: super grimdark thriller about unknowable alien intelligence and over the top colorful action about friendship
[9:51 PM] PIe: jad is grimdark???
[9:51 PM] Axem: :skull:

 

Offline PIe

  • 28
  • GTVA POLICE
    • freespace3.com
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
@CP5670, PI is currently broken because all the mod files are currently directly inside the package folder but they need to be in a data folder inside the package.
[6:23 PM] PIe: why do I have the feeling that I shouldn't be able to give orders to 22nd armored hq
[6:24 PM] Axem: 22nd armored hq, i order you to get me a cup of coffee
[6:24 PM] PIe: and donuts
[6:24 PM] PIe: BECAUSE THIS IS THE GTVA POLICE
[6:25 PM] Axem: :O
[6:25 PM] Axem: am i under arrest
[6:26 PM] [`_`]/: no, just please step out of the myrmidon
[6:26 PM] [`_`]/: you have so much to fred for

[9:50 PM] Sottises: wait did you do vassago's verge?
[9:50 PM] Sottises: .. dirge?
[9:50 PM] Axem: yes
[9:50 PM] Sottises: ohh
[9:50 PM] Sottises: well I have that and JAD too
[9:50 PM] Axem: :)
[9:50 PM] Sottises: what a contrast of themes lmao
[9:50 PM] Axem: isnt it
[9:51 PM] Axem: super grimdark thriller about unknowable alien intelligence and over the top colorful action about friendship
[9:51 PM] PIe: jad is grimdark???
[9:51 PM] Axem: :skull:

 

Offline CP5670

  • Dr. Evil
  • Global Moderator
  • 212
  • 142857
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I'll fix that shortly. I'm still working on a few things with this. I was going to make the campaign itself compatible with the 3.8 media VPs, which involves adding some new models and modifying a few missions to account for them.

 

Offline CP5670

  • Dr. Evil
  • Global Moderator
  • 212
  • 142857
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
I put up a new sub-version of it. There are still a few issues I wanted to test before calling it an "official" version, but it should work now with the 3.8 VPs.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Hi there!

I have a problem regarding joystick selection. I use an XBOX gamepad with mouse-and-keyboard-emulation via GlovePIE, so I obviously want "no joystick". I set exactly that a few days ago when I started using Knossos in the Knossos FSO settings and it used to work fine - until today. I have NO idea what changed, but after finishing Sol:AH (there it worked), booting up Inferno (worked there too) for a quick glimpse and then booting up Blue Planet, something seems to have gone amiss.

Knossos settings still show "no joystick", but that is not the case anymore. No matter which mod I try now, joystick is active. When I try to map buttons in the ingame settings, the joystick buttons get mapped instead of what I want to emulate via GlovePIE. Ingame, both actions (joystick button and emulated keyboard key) are executed simultaniously.

I'd really like to continue using my GlovePIE script. Is there any way to "reset" Knossos' FSO settings bar from reinstalling everything? Can I reinstall Knossos without needing to redownload all the mods?

Edit: Deleting the settings.json for Knossos reset the settings, but didn't solve my issue. I am running out of ideas of where to look for the cause of problem.
« Last Edit: June 03, 2019, 06:22:16 am by Knecht Ruprecht »

 

Offline wookieejedi

  • 28
  • Intensify Forward Firepower
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Yes, I have reinstalled Knossos before, and you do not need to reinstall the mods. Are you running GlovePIE before you even open Knossos? Also does everything work as expected with just using the keyboard and mouse (ie unplugging and not using the joystick or GlovePIE)? Maybe unplug the joystick, ensure the mouse and keyboard works as normal, restart your machine, plug in the joystick and start GlovePIE, start Knossos, make sure no joystick is selected, then see if that might fix it?

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Tried every combination of starting Knossos, starting GlovePIE and turning on the controller. Even double-checked GlovePIE output with Notepad. Rebooted my computer several times. Reinstalled Knossos (but kept the mods). Everything is working and showing as expected, EXCEPT that Freespace is using my controller as a joystick although "no joystick" is selected.  :sigh:

 

Offline wookieejedi

  • 28
  • Intensify Forward Firepower
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Hmm that's odd. You mentioned that the joystick is emulating keys, so could you try going to a specific key binding, clearing it, then binding it using the keyboard keyboard key instead of the joystick key? So for example, if you want the joystick trigger to emulate CTRL for the 'Fire Primary' control you would go to the control menu, clear the 'Fire Primary' control, then bind that key to CTRL using the keyboard, then in a mission try using the joystick trigger (which would be emulating CTRL) and see if it works that way?

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
It does, but additionally it acts like the button itself. I have the A-button (joystick "button 1" as referred to by FS) mapped to tabulator via GlovePIE, in order to use it for afterburners. When I press the button ingame, it will 1) simulate tab and fire afterburners AND 2) register as "button 1" and fire my primary weapons.

I might need to erase all joystick-related entries from the default control config and see if that works. It just bothers me that it worked flawlessly only minutes (and a game start) before it ceased to do so.

 

Offline wookieejedi

  • 28
  • Intensify Forward Firepower
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Yeah that is very odd. I actually made my own controls using a custom table (configcontrols.tbl) so it would never change on me, but I would say that's too complicated of a solution, especially if one isn't used to editing table files.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Hello guys,

how and where can I install other builds than 3.8.0.3?

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
In the upper right corner click a gear, and then select "Knossos" and then "Preferred engine stability" and set it to "Nightlies". Save it, then get back to your home page and update FSO.
Mito [PL] - Today at 8:52 PM
I was supposed to make a short presentation about basics of optical fibers and here I am, listening to Eurobeat while reading about quantum cryptography.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Thanks. But how do I install elder builds like 3.7.2 ?

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Knossos doesn't support builds earlier than 3.8.0. If it's about the issue you've posted in a different topic, maybe try a recent nightly build? If there's a bug in the new ones, we should try to fix it, not force people to go back to such old ones.

But of course you can, you just need to set up a separate FSO installation but use wxLauncher instead of Knossos.
Mito [PL] - Today at 8:52 PM
I was supposed to make a short presentation about basics of optical fibers and here I am, listening to Eurobeat while reading about quantum cryptography.

 
Re: PUBLIC BETA: Knossos 0.13.3 (combined launcher/installer)
Thank, but where and how do I install elder builds like 3.7.4 ?